<?php

namespace App\Models;

use App\Models\Project;
use App\Scopes\CustomSearchFilter;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Province extends Model
{
    use HasFactory;

    public $searchColumns  = ['en_name'];
    protected $fillable = [
        'en_name',
        'color',
        'projects',
        'code',
        'status',
        // 'projectUrl',
    ];


public function projects()
{
    return $this->hasMany(Project::class);
}


  public function hasProject(){
        return $this->projects;
  }



}
